Skip to content

INTER APPLICATIONS

Généralités

Les entités et endpoints décrits ci-dessous ne sont pas une liste exhaustive. Ils ne représentent que les plus couramment utilisés.

Veuillez vous référer au chapitre USAGE pour en savoir plus.

Remarque

Les paramètres énumérés pour les requêtes "POST" sont uniquement des exemples de paramètres obligatoires. Ils varient selon le sous-domaine utilisé.

L'ensemble des paramètres sont disponibles dans la section "Attributes" de chaque entité

Chemin

Pour accéder à votre API depuis un compte en production vous devez utiliser le chemin suivant :

https://<account_subdomain>.nicoka.com/api/
Si vous souhaitez tester l’API depuis un compte d’essai vous devez utiliser le chemin suivant :
https://trial.nicoka.com/<account_subdomain>/api/

Note

<account_subdomain> désigne le nom de votre sous-domaine Nicoka

Connexion à l'API

Voir le chapitre Connexion à l'API

Valeurs des listes déroulantes

Dans cette page, vous trouverez les principales entités et endpoints nécesssaires.
La valeur de certains attributs sont disponibles dans Nicoka sous forme de liste. Cette liste est :

  • soit disponible depuis le endpoint référencé directement sous l'attribut
  • soit reliée à une entité décrite dans cette documentation API
Exemple 1 : Endpoint référencé directement sous l'attribut

source int (Liste déroulante : Provenance)
Provenance de la candidature
Endpoint de récupération des valeurs: /application/entities/462/values/

La liste des valeurs possibles pour source est disponible à cet url:

  • https://<account_subdomain>.nicoka.com/api/application/entities/462/values/ pour un compte en production
  • https://trial.nicoka.com/<account_subdomain>/api/application/entities/462/values/ pour compte d'essai
Exemple 2 : Endpoint relié à une entité décrite dans cette documentation

candidateid int (Liste déroulante : Candidat)
Candidat

cliquer sur le lien Liste déroulante : Candidat à côté de l'attribut. Vous serez redirigé vers l'entité correspondante,ici l'entité Candidat.
Vous pourrez alors obtenir la Liste des candidats avec le endpoint correspondant GET /candidates.

Utilisateur

Overview

Attributes


fname string
Prénom


lname string
Nom


email string (CHAR255)
Email


proid int (Liste déroulante : Profil)
Profil
Endpoint de récupération des valeurs: /application/entities/5/values/


employeeid int (Liste déroulante : Collaborateur)
Collaborateur


pass_strategy string
Hash Stratégie


activ boolean
Actif


contactid int (Liste déroulante : Contact)
Contact


pass_udate datetime
Date MàJ mdp


candidateid int (Liste déroulante : Candidat)
Candidat


login_attempts int
Tentative d'accès


cdate datetime
Créé le


udate datetime
MàJ le


phone1 string (CHAR35)
Téléphone 1


headline string
Titre


phone2 string (CHAR35)
Téléphone 2


login_locked boolean
Bloqué


picture string
Photo

Liste des utilisateurs

REQUEST

GET /users

RESPONSE

200 OK

{
    "queryUid": "63befd0519cf22a68c2c891f0739e605",
    "offset": 0,
    "limit": 12,
    "page": 1,
    "pages": 1,
    "total": 12,
    "data": [
        {
            "id": 1,
            "label": "Lex LUTHOR",
            "idusr": 1,
            "email": "lluthor@nicokahr.com",
            "contactid": null,
            "employeeid": 1,
            "candidateid": null,
            "supplierid": null,
            "entityid": 101,
            "objectid": 1,
            "pass_udate": null,
            "pass_strategy": null,
            "login_attempts": null,
            "login_locked": 0,
            "login_lock_date": null,
            "last_connection_on": "2016-01-26 12:45:58",
            "usrnm": "lluthor@nicokahr.com",
            "cloudname": null,
            "fname": "Lex",
            "lname": "Luthor",
            "headline": "DG",
            "phone1": "",
            "phone2": "",
            "adate": null,
            "language": "fr",
            "country": null,
            "dpara": 1,
            "npara": 1,
            "timezone": null,
            "nbvln": 1,
            "activ": 1,
            "idcon": 1,
            "picture": null,
            "proid": 1,
            "profileids": null,
            "comments": null,
            "cdate": null,
            "udate": null
        },
        {
            "id": 55,
            "label": "Utilisateur API",
            "idusr": 55,
            "email": "random@email.com",
            "contactid": null,
            "employeeid": null,
            "candidateid": null,
            "supplierid": null,
            "entityid": null,
            "objectid": null,
            "pass_udate": "2025-10-21 15:11:15",
            "pass_strategy": 2,
            "login_attempts": 0,
            "login_locked": 0,
            "login_lock_date": null,
            "last_connection_on": "2025-10-23 09:39:24",
            "usrnm": null,
            "cloudname": null,
            "fname": "Utilisateur",
            "lname": "API",
            "headline": null,
            "phone1": null,
            "phone2": null,
            "adate": null,
            "language": "fr",
            "country": null,
            "dpara": 1,
            "npara": 1,
            "timezone": null,
            "nbvln": null,
            "activ": 1,
            "idcon": null,
            "picture": null,
            "proid": 1,
            "profileids": null,
            "comments": null,
            "cdate": "2025-10-21 15:11:15",
            "udate": null
        }
    ]
}

Créer un nouveau utilisateur

REQUEST

POST /users

{ 
    "fname" : "Anthony",  
    "lname": "Monet",  
    "email": "anthony.monet@email.com",
    "proid" : 3
}

RESPONSE

200 OK

{
    "success": "Utilisateur <b>Anthony Monet</b> a été ajouté",
    "object": {
        "id": "58",
        "label": "Anthony Monet",
        "idusr": "58",
        "email": "anthony.monet@email.com",
        "contactid": null,
        "employeeid": null,
        "candidateid": null,
        "supplierid": null,
        "entityid": 1,
        "objectid": "58",
        "pass_udate": null,
        "login_attempts": null,
        "login_locked": null,
        "login_lock_date": null,
        "last_connection_on": null,
        "mfa_token": null,
        "usrnm": null,
        "cloudname": null,
        "fname": "Anthony",
        "lname": "Monet",
        "headline": null,
        "phone1": null,
        "phone2": null,
        "adate": null,
        "language": null,
        "country": null,
        "dpara": 1,
        "npara": 1,
        "timezone": null,
        "nbvln": null,
        "activ": 1,
        "idcon": null,
        "picture": null,
        "proid": 3,
        "profileids": null,
        "comments": null,
        "cdate": "2025-11-04 17:41:42",
        "udate": null,
        "updateLink": "?route=sn/user&idusr=58",
        "role": {
            "idusr": "58",
            "email": "anthony.monet@email.com",
            "contactid": null,
            "employeeid": null,
            "candidateid": null,
            "supplierid": null,
            "entityid": null,
            "objectid": null,
            "passw": null,
            "pass_udate": null,
            "pass_strategy": null,
            "login_attempts": null,
            "login_locked": null,
            "login_lock_date": null,
            "last_connection_on": null,
            "secret": null,
            "mfa_type": null,
            "mfa_token": null,
            "usrnm": null,
            "cloudname": null,
            "fname": "Anthony",
            "lname": "Monet",
            "headline": null,
            "phone1": null,
            "phone2": null,
            "adate": null,
            "language": null,
            "country": null,
            "dpara": 1,
            "npara": 1,
            "timezone": null,
            "nbvln": null,
            "activ": 1,
            "idcon": null,
            "picture": null,
            "proid": 3,
            "profileids": null,
            "comments": null,
            "cdate": "2025-11-04 17:41:42",
            "udate": null,
            "meansOfTransportation": []
        },
        "roleUid": "1__58",
        "currency": "EUR"
    }
}

Récupérer un utilisateur

Path params


Userid (int)
Identifiant d'un utilisateur

REQUEST

GET /users/{userid}

RESPONSE

200 OK

{
    "id": 1,
    "label": "Lex Luthor",
    "idusr": 1,
    "email": "lluthor@nicokahr.com",
    "contactid": null,
    "employeeid": 1,
    "candidateid": null,
    "supplierid": null,
    "entityid": 101,
    "objectid": 1,
    "pass_udate": null,
    "login_attempts": null,
    "login_locked": 0,
    "login_lock_date": null,
    "last_connection_on": "2016-01-26 12:45:58",
    "mfa_token": null,
    "usrnm": "lluthor@nicokahr.com",
    "cloudname": null,
    "fname": "Lex",
    "lname": "Luthor",
    "headline": "DG",
    "phone1": "",
    "phone2": "",
    "adate": null,
    "language": "fr",
    "country": null,
    "dpara": 1,
    "npara": 1,
    "timezone": null,
    "nbvln": 1,
    "activ": 1,
    "idcon": 1,
    "picture": null,
    "proid": 1,
    "profileids": null,
    "comments": null,
    "cdate": null,
    "udate": null,
    "updateLink": "?route=sn/user&idusr=1",
    "role": {
        "employeeid": 1,
        "uid": "4-15983465830d0e363467a946641a0061d139448bf4393",
        "assign_to_employeeid": null,
        "code": "",
        "external_reference": null,
        "status": 2,
        "last_name": "Luthor",
        "birth_name": "",
        "middle_name": null,
        "first_name": "Lex",
        "keyname": "luthorlex",
        "keysound": null,
        "gender": null,
        "civility": null,
        "birth_date": null,
        "area_of_birth": "",
        "place_of_birth": "",
        "country_of_birth": null,
        "nationality": null,
        "nationality_2": null,
        "has_driving_licence": 0,
        "driving_licence_number": null,
        "driving_licence_types": null,
        "driving_licence_expires_on": null,
        "civil_status": null,
        "handicapped_worker": 0,
        "handicap_start_date": null,
        "handicap_end_date": null,
        "email": "lluthor@nicokahr.com",
        "communication_language": "fr",
        "social_networks": null,
        "social_security_nb": "",
        "nb_of_employees_managed": 9,
        "kn_number_year": null,
        "kn_year_from": null,
        "picture": null,
        "picture_location": null,
        "creation_type": 0,
        "source": null,
        "headline": null,
        "compid": 1,
        "json_companies": null,
        "account": null,
        "accountid": null,
        "analytic_account": null,
        "profitcenterid": null,
        "costcenterid": null,
        "seniority_start_date": "2010-09-01",
        "positionid": 1,
        "current_position_effective_date": "2010-09-01",
        "position_seniority_start_on": "2010-09-01",
        "contract_seniority_start_on": "2010-09-01",
        "original_hire_date": "2010-09-01",
        "hire_date": "2010-09-01",
        "trial_periodid": null,
        "trial_period_date": null,
        "trial_renewed": null,
        "trial_renew_periodid": null,
        "trial_renewed_on": null,
        "trial_renew_end_date": null,
        "trial_period_status": null,
        "trial_period_status_udate": null,
        "jobtitle": 1,
        "locationid": 1,
        "locations": null,
        "roomid": null,
        "rooms": null,
        "departmentid": 1,
        "departments": null,
        "divisionid": null,
        "divisions": null,
        "contract_type": 1,
        "current_contract_effective_date": "2010-09-01",
        "contract_docid": null,
        "contract_end_docid": null,
        "spcid": 3,
        "qualificationid": null,
        "coefficientid": null,
        "position_codeid": null,
        "responsibleid": 1,
        "operational_managerid": null,
        "work_phone": "",
        "work_phone_ext": "",
        "mobile_phone1": "",
        "mobile_phone2": "",
        "booking_page_url": null,
        "home_phone": null,
        "personal_mobile_phone": null,
        "personal_email": "",
        "work_permitid": null,
        "work_permit_reference": null,
        "work_permit_expiration_date": null,
        "residence_permit_reference": null,
        "residence_permit_start_date": null,
        "residence_permit_end_date": null,
        "street": "",
        "zipcode": "",
        "city": "Paris",
        "country": "FR",
        "lat": null,
        "lng": null,
        "areaid": null,
        "area_level": null,
        "area_lvl1": null,
        "area_lvl2": null,
        "area_lvl3": null,
        "area_lvl4": null,
        "area_lvl5": null,
        "area_lvl6": null,
        "proid": 1,
        "usrnm": "lluthor@nicokahr.com",
        "profileids": null,
        "has_access": 1,
        "termination_reasonid": null,
        "termination_requested_on": null,
        "resignation_notice_periodid": null,
        "resignation_notice_date": null,
        "resignation_date": null,
        "contract_end_date": null,
        "leave_date": null,
        "salary": 6950,
        "annual_gross_salary": 83400,
        "currency": "EUR",
        "payment_mode": null,
        "bank_id": null,
        "bank_account_owner": "",
        "bank_name": null,
        "swift": "",
        "iban": null,
        "salary_time_unit": 1,
        "salary_cost": null,
        "salary_cost_unit": null,
        "global_cost": null,
        "global_cost_unit": null,
        "paper_payslip": 0,
        "whid": 1,
        "attendance_termid": null,
        "has_emergency_contacts": 0,
        "nb_of_emergency_contacts": 0,
        "nb_of_dependents": null,
        "nb_of_beneficiaries": null,
        "nb_of_disciplinary_measures": 0,
        "last_medical_visit_date": null,
        "last_medical_visitid": null,
        "last_medical_visit_expires_on": null,
        "next_medical_visit_date": null,
        "has_lunch_vouchers": 1,
        "vehicle_fiscal_powerid": null,
        "candidateid": null,
        "last_activityid": null,
        "taskid": null,
        "resume_summary": null,
        "resume_references": null,
        "resume_comments": null,
        "health_insurance_register_on": null,
        "onboarding_start_on": null,
        "onboarding_end_on": null,
        "onboarding_rate": null,
        "onboarding_remaining_tasks": null,
        "onboarding_completed_tasks": null,
        "onboarding_tasks": null,
        "offboarding_start_on": null,
        "offboarding_end_on": null,
        "offboarding_rate": null,
        "offboarding_completed_tasks": null,
        "offboarding_remaining_tasks": null,
        "offboarding_tasks": null,
        "signature_image": null,
        "indexing_status": 1,
        "active": 1,
        "loekz": 0,
        "cdate": "2019-01-01 17:31:37",
        "cname": 3,
        "udate": "2024-03-12 09:02:40",
        "uname": 2,
        "versi": 72
    },
    "roleUid": "101__1",
    "currency": "EUR"
}

Mon profil

REQUEST

GET /me

RESPONSE

200 OK

{
    "id": 55,
    "label": "Utilisateur API",
    "idusr": 55,
    "email": "random@email.com",
    "contactid": null,
    "employeeid": null,
    "candidateid": null,
    "supplierid": null,
    "entityid": 1,
    "objectid": 55,
    "pass_udate": "2025-10-21 15:11:15",
    "login_attempts": 0,
    "login_locked": 0,
    "login_lock_date": null,
    "last_connection_on": "2025-10-23 09:39:24",
    "mfa_token": null,
    "usrnm": null,
    "cloudname": null,
    "fname": "Utilisateur",
    "lname": "API",
    "headline": null,
    "phone1": null,
    "phone2": null,
    "adate": null,
    "language": "fr",
    "country": null,
    "dpara": 1,
    "npara": 1,
    "timezone": null,
    "nbvln": null,
    "activ": 1,
    "idcon": null,
    "picture": null,
    "proid": 1,
    "profileids": null,
    "comments": null,
    "cdate": "2025-10-21 15:11:15",
    "udate": null,
    "updateLink": "?route=sn/user&idusr=55",
    "role": {
        "idusr": 55,
        "email": "random@email.com",
        "contactid": null,
        "employeeid": null,
        "candidateid": null,
        "supplierid": null,
        "entityid": null,
        "objectid": null,
        "passw": "81aaf8b13d02f577fcb767195aea3a68744a434dcafa258629e0d28d75f5d779",
        "pass_udate": "2025-10-21 15:11:15",
        "pass_strategy": 2,
        "login_attempts": 0,
        "login_locked": 0,
        "login_lock_date": null,
        "last_connection_on": "2025-10-23 09:39:24",
        "secret": "wQKyafnu9Z",
        "mfa_type": null,
        "mfa_token": null,
        "usrnm": null,
        "cloudname": null,
        "fname": "Utilisateur",
        "lname": "API",
        "headline": null,
        "phone1": null,
        "phone2": null,
        "adate": null,
        "language": "fr",
        "country": null,
        "dpara": 1,
        "npara": 1,
        "timezone": null,
        "nbvln": null,
        "activ": 1,
        "idcon": null,
        "picture": null,
        "proid": 1,
        "profileids": null,
        "comments": null,
        "cdate": "2025-10-21 15:11:15",
        "udate": null,
        "meansOfTransportation": []
    },
    "roleUid": "1__55",
    "currency": "EUR"
}

Document

Overview

Vous pouvez rattacher des documents à certaines entités. Dans ce cas, vous verrez dans le schéma de l’entité la branche « documents ».

Veuillez vous référer au chapitre Cas Particulier des Documents pour en savoir plus.

Attributes


docid int
ID Système


uid string
Unique ID


doctype int (Liste déroulante : Type)
Type
Endpoint de récupération des valeurs: /application/entities/71/values/


category int (Liste déroulante : Catégorie)
Catégorie
Endpoint de récupération des valeurs: /application/entities/72/values/


extension string
Type de fichier


filename string
Nom du fichier


physicalname string
Nom physique


logical_directory string
Répertoire Virtuel


directoryid int (Liste déroulante : Répertoire)
Répertoire
Endpoint de récupération des valeurs: /application/entities/76/values/


assignment_type int
Visible par


entityid int (Liste déroulante : Entité)
Entité
Endpoint de récupération des valeurs: /application/entities/2/values/


objectid int
Id Objet


employeeid int (Liste déroulante : Collaborateur)
Collaborateur


contactid int (Liste déroulante : Contact)
Contact


content_version int
Version


status int (Liste déroulante : Statut)
Statut
Endpoint de récupération des valeurs: /application/entities/73/values/


log string (TEXT)
Log


date date
Date


cdate datetime
Créé le


duration int
Durée


cname int (Liste déroulante : Utilisateur)
Créé par


duration_unit int
Unité de durée


udate datetime
MàJ le


expires_on date
Expire le


uname int (Liste déroulante : Utilisateur)
MàJ par

Liste des documents

REQUEST

GET /documents

RESPONSE

200 OK

{
    "queryUid": "0fa9ad53191b65614ed13fc733a4c13a",
    "offset": 0,
    "limit": 40,
    "page": 1,
    "pages": 1,
    "total": 40,
    "data": [
        {
            "docid": 66181,
            "id": 66181,
            "content_version": 1,
            "project_directoryid": null,
            "category": 950,
            "file_size": 0.0017004,
            "date": "2025-01-21",
            "expires_on": null,
            "duration": null,
            "duration_unit": null,
            "uid": "1-17374708110357a62206f1bad2fbb260cb3420403e9c6",
            "external_uid": null,
            "external_udate": null,
            "author": null,
            "filename": "Capture d'écran 2024-05-21 100440.png",
            "extension": "png",
            "mime_type": null,
            "doctype": 902,
            "assignment_type": 1,
            "directoryid": null,
            "entityid": 101,
            "objectid": 43,
            "employeeid": 43,
            "contactid": null,
            "physicalname": "1737470810-Capture_d_ecran_2024_05_21_100440.png",
            "language": "fr",
            "status": 5,
            "log": null,
            "loekz": 0,
            "cdate": "2025-01-21 15:46:51",
            "cname": 46,
            "udate": "2025-01-21 15:46:51",
            "uname": 46,
            "versi": 1
        },
        {
            "docid": 66182,
            "id": 66182,
            "content_version": 1,
            "project_directoryid": null,
            "category": 2,
            "file_size": 0.0017004,
            "date": "2025-01-23",
            "expires_on": null,
            "duration": null,
            "duration_unit": null,
            "uid": "1-17376280091bec98167778e1a3c90ddc5debb55e50688",
            "external_uid": null,
            "external_udate": null,
            "author": null,
            "filename": "Capture d'écran 2024-05-21 100440.png",
            "extension": "png",
            "mime_type": null,
            "doctype": 1062,
            "assignment_type": 1,
            "directoryid": null,
            "entityid": 450,
            "objectid": 852,
            "employeeid": null,
            "contactid": null,
            "physicalname": "1737628009-Capture_d_ecran_2024_05_21_100440.png",
            "language": "fr",
            "status": 5,
            "log": null,
            "loekz": 0,
            "cdate": "2025-01-23 11:26:49",
            "cname": 46,
            "udate": "2025-01-23 11:26:49",
            "uname": 46,
            "versi": 1
        }
    ]
}

Créer un nouveau document

REQUEST

POST /documents

{ 
    "filename" : "file.pdf",  
    "doctype ": "10",  
    "categoryid ": "1", 
    "entityid" : "101",
    "objectid" : "43",
    "base64_file": "Qm9uam91cg==" 
}

RESPONSE

200 OK

{
    "success": "Document <b>file.pdf</b> a été ajouté",
    "object": {
        "id": "66240",
        "label": "file.pdf",
        "docid": "66240",
        "uid": "1-1757937436ba53b6165eb76acc37f89ac36de2a7b9404",
        "external_uid": null,
        "external_udate": null,
        "author": null,
        "filename": "file.pdf",
        "extension": "pdf",
        "mime_type": null,
        "file_size": 6.67572021484375e-6,
        "doctype": null,
        "assignment_type": 1,
        "directoryid": null,
        "category": null,
        "templateid": null,
        "messageid": null,
        "attachmentid": null,
        "entityid": "101",
        "objectid": "43",
        "employeeid": "43",
        "contactid": null,
        "candidateid": null,
        "projectid": null,
        "project_directoryid": null,
        "src_type": 1,
        "destination": "/data/www/clouds/master/documents/employees/43/",
        "logical_directory": "docs-employees-43",
        "language": "fr",
        "physicalname": "ebc58ab2cb4848d04ec23d83f7ddf985.pdf",
        "status": null,
        "indexing_status": null,
        "date": "2025-09-15",
        "expires_on": null,
        "duration": null,
        "duration_unit": null,
        "log": null,
        "content_uid": "ebc58ab2cb4848d04ec23d83f7ddf985",
        "content_version": 1,
        "content_version_date": "2025-09-15 13:57:16",
        "content_version_author": "API api",
        "content_version_authorid": 54,
        "encoding": null,
        "html_content": null,
        "parsed_content": null,
        "workflow_status": null,
        "workflow_date": null,
        "workflow_instanceid": null,
        "loekz": 0,
        "cdate": "2025-09-15 13:57:16",
        "cname": 54,
        "udate": "2025-09-15 13:57:16",
        "uname": 54,
        "versi": 1,
        "sign_request": null,
        "sign_reference_id": null,
        "updateLink": "?route=documents/document/&docid=66240"
    }
}

Récupérer un document

Path params


Documentid (int)
Identifiant d'un document

REQUEST

GET /documents/{documentid}

RESPONSE

200 OK

{
    "id": 66236,
    "label": "file.pdf",
    "docid": 66236,
    "uid": "1-1756980076967148cc8531a60dc59c4cc753d66e9f113",
    "external_uid": null,
    "external_udate": null,
    "author": null,
    "filename": "file.pdf",
    "extension": "pdf",
    "mime_type": null,
    "file_size": 6.67572e-6,
    "doctype": 10,
    "assignment_type": 1,
    "directoryid": null,
    "category": 2,
    "templateid": null,
    "messageid": null,
    "attachmentid": null,
    "entityid": 450,
    "objectid": 851,
    "employeeid": null,
    "contactid": null,
    "candidateid": 851,
    "projectid": null,
    "project_directoryid": null,
    "src_type": 1,
    "destination": "/data/www/clouds/master/documents/candidates/2025/",
    "logical_directory": "docs-candidates-2025",
    "language": "fr",
    "physicalname": "851__1756980076__ebc58ab2cb4848d04ec23d83f7ddf985.pdf",
    "status": 2,
    "indexing_status": null,
    "date": "2025-09-04",
    "expires_on": null,
    "duration": null,
    "duration_unit": null,
    "log": null,
    "content_uid": "ebc58ab2cb4848d04ec23d83f7ddf985",
    "content_version": 1,
    "content_version_date": "2025-09-04 12:01:16",
    "content_version_author": "API api",
    "content_version_authorid": 54,
    "encoding": null,
    "html_content": null,
    "parsed_content": null,
    "workflow_status": null,
    "workflow_date": null,
    "workflow_instanceid": null,
    "loekz": 0,
    "cdate": "2025-09-04 12:01:16",
    "cname": 54,
    "udate": "2025-09-04 12:01:16",
    "uname": 54,
    "versi": 1,
    "sign_request": null,
    "sign_reference_id": null,
    "updateLink": "?route=documents/document/&docid=66236"
}

Société

Overview

Il existe deux types de sociétés :

  • Interne : les sociétés dans lesquels vos collaborateurs travaillent actuellement
  • Externe : les sociétés dans lesquels vos collaborateurs ont travaillé avant de vous rejoindre ou bien par lesquels vos candidats travaillent ou ont travaillé.

Attributes


compid int
ID Système


company_name string
Société


type int
Type


legal_name string
Raison Sociale


external_reference string
Réf. Externe


status int
Statut


website string (CHAR255)
Site Web


description string (TEXT)
Description


industry int (Liste déroulante : Secteur d'activité)
Secteur d'activité
Endpoint de récupération des valeurs: /application/entities/143/values/


currency string
Devise


logo string
Logo


bank_account_owner string
Titulaire du compte


bank_name string
Nom de la banque


nb_working_days_in_year int
Nb. de jours travaillés dans l'année


iban string
IBAN


swift string
Code BIC/Swift


document_footer string (TEXT)
Pied de page


legal_form string
Forme juridique


creditor_id string
N° ICS


capital string
Capital


identification_number string
SIRET


vat_reg_number string
Numéro de TVA


trade_reg_number string
RCS


trade_reg_location string
RC Lieux


phone1 string (CHAR35)
Tél. Standard


director_name string
Président


fax1 string (CHAR35)
Fax


director_jobtitle string
Qualité du président


loekz boolean
Supprimé


stamp_image string
Tampon


cdate datetime
Créé le


stamp_image_with_signature string
Tampon avec signature


cname int (Liste déroulante : Utilisateur)
Créé par


dpara string
Format de la date


npara string
Format Nombre


udate datetime
MàJ le


collective_agreement string
Convention Collective


uname int (Liste déroulante : Utilisateur)
MàJ par


versi int
Version


street string
Adresse


zipcode string
Code Postal


city string
Ville


country int (Liste déroulante : Pays)
Pays
Endpoint de récupération des valeurs: /application/entities/13/values/

Liste des sociétés

REQUEST

GET /companies

RESPONSE

200 OK

{
    "queryUid": "e11022eb9ad4503e6edd5b96a789429e",
    "offset": 0,
    "limit": 5,
    "page": 1,
    "pages": 1,
    "total": 5,
    "data": [
        {
            "id": 1,
            "label": "Ma Société",
            "compid": 1,
            "parentid": null,
            "type": 2,
            "status": 1,
            "customerid": null,
            "supplierid": null,
            "company_keyname": "ma-societe",
            "company_name": "Ma Société",
            "legal_name": null,
            "code": "",
            "external_reference": null,
            "website": "",
            "description": null,
            "industry": null,
            "size": null,
            "legal_form": "",
            "capital": "",
            "identification_number": "",
            "trade_reg_number": "",
            "trade_reg_location": "",
            "vat_reg_number": null,
            "collective_agreement": "",
            "director_name": "",
            "director_jobtitle": "",
            "currency": "EUR",
            "bank_account_owner": null,
            "bank_name": null,
            "swift": null,
            "iban": null,
            "creditor_id": null,
            "timezone": "Europe/Paris",
            "working_hours": null,
            "nb_working_days_in_year": null,
            "day_duration_in_hours": 8,
            "holidays_country": "FR",
            "fiscal_year_start_day": 1,
            "fiscal_year_start_month": 1,
            "fiscal_year_end_day": 31,
            "fiscal_year_end_month": 12,
            "dpara": 1,
            "npara": 1,
            "logo": null,
            "certificate_reference": "",
            "certifying_company": "",
            "certifying_compid": 0,
            "responsibleid": null,
            "stamp_image": null,
            "stamp_image_with_signature": null,
            "document_footer": "",
            "linkedin_reference": null,
            "phone1": null,
            "fax1": null,
            "street": "3 rue de l'adresse de la compagnie",
            "zipcode": "49000",
            "city": "Angers",
            "country": "FR",
            "lat": 47.47278,
            "lng": -0.55556,
            "areaid": 2233,
            "area_level": 7,
            "area_lvl1": 4,
            "area_lvl2": 21,
            "area_lvl3": 681,
            "area_lvl4": 744,
            "area_lvl5": 759,
            "area_lvl6": 897,
            "area_lvl7": 2233,
            "area_lvl8": null,
            "tags": null,
            "comments": null,
            "merging_log": null,
            "loekz": 0,
            "cdate": "2014-09-13 20:16:11",
            "cname": 1,
            "udate": "2024-08-26 14:29:41",
            "uname": 46,
            "versi": 3
        },
        {
            "id": 2,
            "label": "La 2eme société",
            "compid": 2,
            "parentid": null,
            "type": 2,
            "status": 1,
            "customerid": null,
            "supplierid": null,
            "company_keyname": "la-2eme-societe",
            "company_name": "La 2eme société",
            "legal_name": "",
            "code": "",
            "external_reference": null,
            "website": "",
            "description": null,
            "industry": null,
            "size": null,
            "legal_form": null,
            "capital": null,
            "identification_number": null,
            "trade_reg_number": null,
            "trade_reg_location": null,
            "vat_reg_number": null,
            "collective_agreement": null,
            "director_name": null,
            "director_jobtitle": null,
            "currency": "EUR",
            "bank_account_owner": null,
            "bank_name": null,
            "swift": null,
            "iban": null,
            "creditor_id": null,
            "timezone": "Europe/Paris",
            "working_hours": null,
            "nb_working_days_in_year": null,
            "day_duration_in_hours": 8,
            "holidays_country": "FR",
            "fiscal_year_start_day": 1,
            "fiscal_year_start_month": 1,
            "fiscal_year_end_day": 31,
            "fiscal_year_end_month": 12,
            "dpara": 1,
            "npara": 1,
            "logo": null,
            "certificate_reference": null,
            "certifying_company": null,
            "certifying_compid": null,
            "responsibleid": null,
            "stamp_image": null,
            "stamp_image_with_signature": null,
            "document_footer": null,
            "linkedin_reference": null,
            "phone1": null,
            "fax1": null,
            "street": "",
            "zipcode": "",
            "city": "",
            "country": "FR",
            "lat": null,
            "lng": null,
            "areaid": 681,
            "area_level": 3,
            "area_lvl1": 4,
            "area_lvl2": 21,
            "area_lvl3": 681,
            "area_lvl4": null,
            "area_lvl5": null,
            "area_lvl6": null,
            "area_lvl7": null,
            "area_lvl8": null,
            "tags": null,
            "comments": null,
            "merging_log": null,
            "loekz": 0,
            "cdate": "2025-05-19 16:49:31",
            "cname": 46,
            "udate": "2025-05-19 16:49:31",
            "uname": 46,
            "versi": 1
        }

    ]
}

Créer une nouvelle société

REQUEST

POST /companies

{ 
    "company_name" : "Société_Quatre"
}

RESPONSE

200 OK

{
    "success": "Société <b>Société_Quatre</b> a été ajoutée",
    "object": {
        "id": "173",
        "label": "Société_Quatre",
        "compid": "173",
        "parentid": null,
        "type": null,
        "status": 1,
        "customerid": null,
        "supplierid": null,
        "company_keyname": "societequatre",
        "company_name": "Société_Quatre",
        "legal_name": null,
        "code": null,
        "external_reference": null,
        "website": null,
        "description": null,
        "industry": null,
        "size": null,
        "legal_form": null,
        "capital": null,
        "identification_number": null,
        "trade_reg_number": null,
        "trade_reg_location": null,
        "vat_reg_number": null,
        "collective_agreement": null,
        "director_name": null,
        "director_jobtitle": null,
        "currency": null,
        "bank_account_owner": null,
        "bank_name": null,
        "swift": null,
        "iban": null,
        "creditor_id": null,
        "timezone": null,
        "working_hours": null,
        "nb_working_days_in_year": null,
        "day_duration_in_hours": null,
        "holidays_country": null,
        "fiscal_year_start_day": null,
        "fiscal_year_start_month": null,
        "fiscal_year_end_day": null,
        "fiscal_year_end_month": null,
        "dpara": null,
        "npara": null,
        "logo": null,
        "certificate_reference": null,
        "certifying_company": null,
        "certifying_compid": null,
        "responsibleid": null,
        "stamp_image": null,
        "stamp_image_with_signature": null,
        "document_footer": null,
        "linkedin_reference": null,
        "phone1": null,
        "fax1": null,
        "street": null,
        "zipcode": null,
        "city": null,
        "country": null,
        "lat": null,
        "lng": null,
        "areaid": null,
        "area_level": null,
        "area_lvl1": null,
        "area_lvl2": null,
        "area_lvl3": null,
        "area_lvl4": null,
        "area_lvl5": null,
        "area_lvl6": null,
        "area_lvl7": null,
        "area_lvl8": null,
        "tags": null,
        "comments": null,
        "merging_log": null,
        "loekz": 0,
        "cdate": "2025-09-01 09:40:14",
        "cname": 54,
        "udate": "2025-09-01 09:40:14",
        "uname": 54,
        "versi": 1,
        "updateLink": "?route=companies/main&compid=173"
    }
}

Récupérer une société

Path params


Companyid (int)
Identifiant d'une société

REQUEST

GET /companies/{companyid}

RESPONSE

200 OK

{
    "id": 173,
    "label": "Société_Quatre",
    "compid": 173,
    "parentid": null,
    "type": null,
    "status": 1,
    "customerid": null,
    "supplierid": null,
    "company_keyname": "societequatre",
    "company_name": "Société_Quatre",
    "legal_name": null,
    "code": null,
    "external_reference": null,
    "website": null,
    "description": null,
    "industry": null,
    "size": null,
    "legal_form": null,
    "capital": null,
    "identification_number": null,
    "trade_reg_number": null,
    "trade_reg_location": null,
    "vat_reg_number": null,
    "collective_agreement": null,
    "director_name": null,
    "director_jobtitle": null,
    "currency": null,
    "bank_account_owner": null,
    "bank_name": null,
    "swift": null,
    "iban": null,
    "creditor_id": null,
    "timezone": null,
    "working_hours": null,
    "nb_working_days_in_year": null,
    "day_duration_in_hours": null,
    "holidays_country": null,
    "fiscal_year_start_day": null,
    "fiscal_year_start_month": null,
    "fiscal_year_end_day": null,
    "fiscal_year_end_month": null,
    "dpara": null,
    "npara": null,
    "logo": null,
    "certificate_reference": null,
    "certifying_company": null,
    "certifying_compid": null,
    "responsibleid": null,
    "stamp_image": null,
    "stamp_image_with_signature": null,
    "document_footer": null,
    "linkedin_reference": null,
    "phone1": null,
    "fax1": null,
    "street": null,
    "zipcode": null,
    "city": null,
    "country": null,
    "lat": null,
    "lng": null,
    "areaid": null,
    "area_level": null,
    "area_lvl1": null,
    "area_lvl2": null,
    "area_lvl3": null,
    "area_lvl4": null,
    "area_lvl5": null,
    "area_lvl6": null,
    "area_lvl7": null,
    "area_lvl8": null,
    "tags": null,
    "comments": null,
    "merging_log": null,
    "loekz": 0,
    "cdate": "2025-09-01 09:40:14",
    "cname": 54,
    "udate": "2025-09-01 09:40:14",
    "uname": 54,
    "versi": 1,
    "updateLink": "?route=companies/main&compid=173"
}

Agence

Overview

Attributes


label string
Libellé


street string
Adresse


reference string
Référence


responsibleid int (Liste déroulante : Collaborateur)
Responsable


identification_number string
SIRET


zipcode string
Code Postal


max_nb_of_attendees int
Nb. max de personnes autorisées


city string
Ville


country int (Liste déroulante : Pays)
Pays
Endpoint de récupération des valeurs: /application/entities/13/values/


phone1 string (CHAR35)
Téléphone 1


phone2 string (CHAR35)
Téléphone 2


fax1 string (CHAR35)
Fax


email string (CHAR255)
Email


comments longtext
Commentaires

Liste des agences

REQUEST

GET /locations

RESPONSE

200 OK

{
    "queryUid": "f29abbb35fd9c3ea331214edc2ba9788",
    "offset": 0,
    "limit": 3,
    "page": 1,
    "pages": 1,
    "total": 3,
    "data": [
        {
            "id": 1,
            "label": "Siège",
            "locationid": 1,
            "reference": null,
            "color": "",
            "homeoffice": 0,
            "identification_number": "",
            "responsibleid": null,
            "max_nb_of_attendees": null,
            "active": 1,
            "lat": null,
            "lng": null,
            "uid": null,
            "street_number": "",
            "street": "",
            "street_only": "",
            "city": "",
            "cityid": null,
            "zipcode": "",
            "state": "",
            "stateid": null,
            "county": "",
            "countyid": null,
            "country": "FR",
            "areaid": 681,
            "area_level": 3,
            "area_lvl1": 4,
            "area_lvl2": 21,
            "area_lvl3": 681,
            "area_lvl4": null,
            "area_lvl5": null,
            "area_lvl6": null,
            "area_lvl7": null,
            "area_lvl8": null,
            "email": "",
            "phone1": null,
            "phone2": null,
            "fax1": null,
            "fax2": null,
            "comments": "",
            "loekz": 0,
            "cdate": "2015-04-20 13:56:01",
            "cname": 1,
            "udate": "2022-05-31 14:43:06",
            "uname": 2,
            "versi": 2
        },
        {
            "id": 2,
            "label": "Bureau de Lyon",
            "locationid": 2,
            "reference": null,
            "color": null,
            "homeoffice": 0,
            "identification_number": null,
            "responsibleid": null,
            "max_nb_of_attendees": null,
            "active": 1,
            "lat": null,
            "lng": null,
            "uid": null,
            "street_number": null,
            "street": "",
            "street_only": null,
            "city": "",
            "cityid": null,
            "zipcode": "",
            "state": null,
            "stateid": null,
            "county": null,
            "countyid": null,
            "country": "FR",
            "areaid": null,
            "area_level": null,
            "area_lvl1": null,
            "area_lvl2": null,
            "area_lvl3": null,
            "area_lvl4": null,
            "area_lvl5": null,
            "area_lvl6": null,
            "area_lvl7": null,
            "area_lvl8": null,
            "email": null,
            "phone1": "",
            "phone2": "",
            "fax1": "",
            "fax2": null,
            "comments": "",
            "loekz": 0,
            "cdate": "2015-05-28 17:24:58",
            "cname": 1,
            "udate": "2015-05-28 19:31:07",
            "uname": 1,
            "versi": 2
        }
    ]
}

Créer une nouvelle agence

REQUEST

POST /locations

{
    "label": "Bureau d'Angers",
    "active": 1
}

RESPONSE

200 OK

{
    "success": "Agence <b>Bureau d'Angers</b> a été ajoutée",
    "object": {
        "id": "4",
        "label": "Bureau d'Angers",
        "locationid": "4",
        "reference": null,
        "color": null,
        "homeoffice": 0,
        "identification_number": null,
        "responsibleid": null,
        "max_nb_of_attendees": null,
        "active": "1",
        "lat": null,
        "lng": null,
        "uid": null,
        "street_number": null,
        "street": null,
        "street_only": null,
        "city": null,
        "cityid": null,
        "zipcode": null,
        "state": null,
        "stateid": null,
        "county": null,
        "countyid": null,
        "country": null,
        "areaid": 681,
        "area_level": 3,
        "area_lvl1": 4,
        "area_lvl2": 21,
        "area_lvl3": 681,
        "area_lvl4": null,
        "area_lvl5": null,
        "area_lvl6": null,
        "area_lvl7": null,
        "area_lvl8": null,
        "email": null,
        "phone1": null,
        "phone2": null,
        "fax1": null,
        "fax2": null,
        "comments": null,
        "loekz": 0,
        "cdate": "2025-09-12 17:24:27",
        "cname": 54,
        "udate": "2025-09-12 17:24:27",
        "uname": 54,
        "versi": 1,
        "updateLink": "?route=companies/admin/locations&locationid=4"
    }
}

Récupérer une agence

Path params


Locationid (int)
Identifiant d'une agence

REQUEST

GET /locations/{locationid}

RESPONSE

200 OK

{
    "id": 4,
    "label": "Bureau d'Angers",
    "locationid": 4,
    "reference": null,
    "color": "",
    "homeoffice": 0,
    "identification_number": "",
    "responsibleid": "44",
    "max_nb_of_attendees": 15,
    "active": 1,
    "lat": 47.47278,
    "lng": -0.55556,
    "uid": "ChIJPRpJjcJ4CEgROrizCCBu5jM",
    "street_number": null,
    "street": "10 Rue du Mail",
    "street_only": "Rue du Mail",
    "city": "Angers",
    "cityid": 2233,
    "zipcode": "49000",
    "state": "Pays de la Loire",
    "stateid": 759,
    "county": "49 - Maine-et-Loire",
    "countyid": 897,
    "country": "FR",
    "areaid": 2233,
    "area_level": 7,
    "area_lvl1": 4,
    "area_lvl2": 21,
    "area_lvl3": 681,
    "area_lvl4": 744,
    "area_lvl5": 759,
    "area_lvl6": 897,
    "area_lvl7": 2233,
    "area_lvl8": null,
    "email": "",
    "phone1": null,
    "phone2": null,
    "fax1": null,
    "fax2": null,
    "comments": "",
    "loekz": 0,
    "cdate": "2025-09-12 17:24:27",
    "cname": 54,
    "udate": "2025-09-12 17:35:00",
    "uname": 46,
    "versi": 2,
    "updateLink": "?route=companies/admin/locations&locationid=4"
}

Evénement

Overview

Attributes


type int (Liste déroulante : Type d'évènement)
Type d'évènement
Endpoint de récupération des valeurs: /application/entities/856/values/


eventid int
ID Système


calid int (Liste déroulante : Agenda)
Agenda
Endpoint de récupération des valeurs: /application/entities/850/values/


summary string (TEXT)
Résumé


description string (TEXT)
Description


invitation_subject string (TEXT)
Sujet de l'invitation


invitation_message string (TEXT)
Message ajouté à votre invitation


location string
Lieux


locationid int (Liste déroulante : Agence)
Agence


roomid int (Liste déroulante : Bureau/Salle)
Bureau/Salle
Endpoint de récupération des valeurs: /application/entities/93/values/


organizer_label string
Organisateur


start datetime
Début le


start_time string
Heure de début


end datetime
Fin le


end_time string
Heure de fin


timezone string
Fuseau Horaire


fullday boolean
Toute la journée


duration int
Durée


duration_unit int
Unité de durée


duration_in_days float
Ratio Jour


nb_of_attendees int
Nb. participants


nb_of_present_attendees int
Nb. de participants présents


inline_attendees string
Participants


cdate datetime
Créé le


workflow_status int
Statut (Workflow)


cname int (Liste déroulante : Utilisateur)
Créé par


workflow_date datetime
Date (Workflow)


udate datetime
MàJ le


uname int (Liste déroulante : Utilisateur)
MàJ par


templateid int (Liste déroulante : Template d'email)
Template d'email
Endpoint de récupération des valeurs: /application/entities/1100/values/

Liste des evénements

REQUEST

GET /agendaEvents

RESPONSE

200 OK


Créer un nouveau evénement

REQUEST

POST /agendaEvents


RESPONSE

200 OK


Récupérer un evénement

Path params


Eventid (int)
Identifiant d'un evénement

REQUEST

GET /agendaEvents/{eventid}

RESPONSE

200 OK


Lieu de travail

Overview

Attributes


wlid int
ID Système


compid int (Liste déroulante : Société)
Société


entityid int
Entité


objectid int
Id Objet


employeeid int (Liste déroulante : Collaborateur)
Collaborateur


type int (Liste déroulante : Lieu)
Lieu
Endpoint de récupération des valeurs: /application/entities/871/values/


locationid int (Liste déroulante : Agence)
Agence


roomid int (Liste déroulante : Bureau/Salle)
Bureau/Salle
Endpoint de récupération des valeurs: /application/entities/93/values/


contactid int (Liste déroulante : Contact)
Contact


date date
Date


momentid int
Moment


start_time string
Heure de début


end_time string
Heure de fin


status int (Liste déroulante : Statut pour validation)
Statut pour validation
Endpoint de récupération des valeurs: /application/entities/56/values/


day_rate float
Total (Jours)

Liste des lieux de travail

REQUEST

GET /worklocations

RESPONSE

200 OK


Créer un nouveau lieu de travail

REQUEST

POST /worklocations


RESPONSE

200 OK


Récupérer un lieu de travail

Path params


WorkLocationid (int)
Identifiant d'un lieu de travail

REQUEST

GET /worklocations/{worklocationid}

RESPONSE

200 OK


Notification

Overview

Attributes


notificationid int
ID Système


icon string
Icon


type int
Type


color string
Couleur


title string (TEXT)
Titre


message longtext
Message


uri string (CHAR255)
URL


related_entityid int (Liste déroulante : Entité)
Entité de liaison
Endpoint de récupération des valeurs: /application/entities/2/values/


is_ajax boolean
Ajax ?


cdate datetime
Créé le


modelid int (Liste déroulante : Modèle de Notification)
Modèle de Notification
Endpoint de récupération des valeurs: /application/entities/1150/values/

Liste des notifications

REQUEST

GET /pushNotifications

RESPONSE

200 OK


Créer une nouvelle notification

REQUEST

POST /pushNotifications


RESPONSE

200 OK


Récupérer une notification

Path params


Notificationid (int)
Identifiant d'une notification

REQUEST

GET /pushNotifications/{notificationid}

RESPONSE

200 OK


Domaine

Overview

Attributes


domainid int
ID Système


label string
Libellé


cname int (Liste déroulante : Utilisateur)
Créé par


cdate datetime
Créé le


color string
Couleur


last_activityid int (Liste déroulante : Activité)
Dernière action

Liste des domaines

REQUEST

GET /hseDomains

RESPONSE

200 OK


Créer un nouveau domaine

REQUEST

POST /hseDomains


RESPONSE

200 OK


Récupérer un domaine

Path params


Domainid (int)
Identifiant d'un domaine

REQUEST

GET /hseDomains/{domainid}

RESPONSE

200 OK